rustc-1.91 (1.91.1+dfsg-0ubuntu3) resolute; urgency=medium

  * d/b/cargo.in: Use versioned cargo for all invocations (LP: #2100266)

 -- Max Gilmour <max.gilmour@canonical.com>  Wed, 08 Apr 2026 10:41:04 -0700

rustc-1.91 (1.91.1+dfsg-0ubuntu2) resolute; urgency=medium

  * d/p/upstream/u-tar-cve-2026-33056: Fix vulnerability (LP: #2145764)

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 24 Mar 2026 07:59:52 -0700

rustc-1.91 (1.91.1+dfsg-0ubuntu1) resolute; urgency=medium

  [ Max Gilmour ]
  * New upstream version 1.91.1 (LP: #2132152)
  * Standard maintenance:
    - d/patches: Refresh patches for 1.91.1 upstream
    - d/{control,source/lintian-overrides}: Update versioned package refs
    - d/patches: Refresh patches after repacking upstream source
    - d/control: Update XS-Vendored-Sources-Rust
    - d/source/lintian-overrides: Update crate stub copyright overrides
    - d/copyright: Update vendored crate copyright stanzas
  * d/copyright,d/patches/prune: Remove Enzyme from tarball and build steps
  * d/copyright,d/patches/prune: Remove GCC/Cranelift from tarball and build
  * d/vendor-deps: Update RISC-V dep calculation target to RVA23
  * d/lintian-to-copyright.sh: Automatically set up venv
  * d/source/lintian-overrides: Override certain source-is-missing errors
  * d/p/{series,ubuntu/ubuntu-pin-dep-ver.patch}: Pin dyn-clone dep
  * d/rustc-X.Y.install.in: Install etc/target-spec-json-schema.json
  * d/p/behaviour/d-rust-lldb-paths.patch: Update lldb ref to 21
  * d/{bootstrap.toml.in,rules,*riscv64.in}: Add RISC-V RVA23 target
  * d/{scripts,tests}: Make test and script executable
  * d/rules: Use pkg-info.mk for package name
  * d/p/ubuntu/ubuntu-disable-nanum-fonts.patch: Add DEP-3 header
  * d/source/lintian-overrides: Remove unneeded license paragraph override
  * d/bootstrap.toml.in: Exclude crash compiletests from testing

  [ Richard Scott McNew ]
  * Set Architecture Level (ALS) to z15 on s390x (LP: #2126577)
    - d/p/ubuntu/ubuntu-s390x-min-arch.patch: CPU target to z15

  [ Brent Kerby ]
  * Add standard library vendored dependencies to rust-X.Y-src package
  * Restrict toolchain used to make vendor tarball, for reproducibility
  * Use frozen Cargo.lock dependencies
  * Fix create-and-build-crate test to use correct cargo/rustc version
  * Add autopkgtest for build-std cargo feature

 -- Max Gilmour <max.gilmour@canonical.com>  Mon, 26 Jan 2026 07:38:36 -0800

rustc-1.90 (1.90.0+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.90.0 (LP: #2129716)
  * Standard maintenance:
    - d/patches: Refresh patches for 1.90.0 upstream
    - d/changelog: Bump version numbers
    - d/control,d/s/lintian-overrides: Update versioned package references
    - d/patches: Refresh patches after repacking upstream source
    - d/control: Update XS-Vendored-Sources-Rust
    - d/copyright: Update vendored dependency copyright stanzas
    - d/s/lintian-overrides: Update crate stub copyright Lintian overrides
  * d/p/series: Drop unneeded patches
    - Drop build/d-bootstrap-no-assume-tools.patch; now unneeded
    - Drop upstream/u-powerpc-broken-f16-tests-workaround.patch; merged
      upstream
    - Drop upstream/u-no-version-string-in-feature-removed-help.patch; merged
      upstream
  * d/prune-unused-deps: Add clippy_test_deps to workspace list
  * d/tests: Create regression autopkgtest for LP: #2100266
  * d/bin/rust-lld,d/control,d/rules,d/*.links.in: Upgrade to LLVM 21
  * d/changelog: Change version string format
  * d/bootstrap.toml.in: Omit Git hash in bootstrap
  * d/rules: Prevent duplicate call to dh_auto_build
  * d/rules: Add clippy_test_deps to workspace list
  * d/rules: Count failed test invocations as test failures

 -- Max Gilmour <max.gilmour@canonical.com>  Fri, 28 Nov 2025 07:58:33 -0800

rustc-1.89 (1.89.0+dfsg0ubuntu2-0ubuntu1) resolute; urgency=medium

  * Fix vendored dependency stub format (LP: #2132631)
    - d/prune-unused-deps: Reverse cargo-vendor-filterer overhaul
    - d/{rules,vendor-deps}: Generate dep stubs with another tarball
    - d/p/series: Remove obsolete dependency stub generation patch
    - d/add-vendored-copyright-overrides: Create script to automatically add
      the lintian overrides for all missing copyright stanzas of vendored
      crate stubs
    - d/copyright: Remove obsolete autogenerated Files-Excluded
    - d/copyright: Move vendor Files-Excluded to special component section
    - d/source/lintian-overrides: Add section for crate stub overrides
  * New upstream version 1.89.0+dfsg0ubuntu2 (repacked using new d/vendor-deps
    method)
  * d/control: Update XS-Vendored-Sources-Rust
  * d/copyright: Fix overzealous copyright stanza glob matches
  * d/source/lintian-overrides: Add copyright overrides for crate stubs

 -- Max Gilmour <max.gilmour@canonical.com>  Thu, 27 Nov 2025 15:31:31 -0800

rustc-1.89 (1.89.0+dfsg0ubuntu1-0ubuntu1) resolute; urgency=medium

  * New upstream version 1.89.0 (LP: #2121623)
  * Standard maintenance:
    - d/patches/*: refresh patches after upstream update
    - d/p/prune/d-0020-remove-windows-dependencies.patch: prune Windows
      dependencies from Rust source
    - d/control,d/s/lintian-overrides: update version numbers
    - d/copyright: update Files-Excluded with pruned vendored dependencies
    - d/patches/*: refresh patches after pruning vendored deps
    - d/control: update XS-Vendored-Sources-Rust
    - d/copyright: update vendor copyright stanzas
  * Orig tarball fixes:
    - d/copyright: exclude Enzyme benchmarks from orig tarball
    - d/copyright: comment out unneeded binary blob exclusion
  * Drop unneeded patches:
    - d/p/series: drop patches necessary only for GNU Hurd
    - d/p/series: drop upstream/u-raw-rustc-command.patch (applied upstream)
  * Remove duplicates of control files:
    - d/rules: overhaul update-version rule to work with versioned package
    - d/update-version.sh: overhaul script to update d/control and
      d/s/lintian-overrides
    - d/control.in,d/s/lintian-overrides.in: delete .in files duplicating
      existing control files
  * Automate vendored crate pruning with cargo-vendor-filterer:
    - d/prune-unused-deps: overhaul script to use cargo-vendor-filterer
    - d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Drop obsolete
      patch manually pruning Windows dependencies
    - d/p/series,d/p/prune/d-0021-add-pruned-dep-stubs.patch: add
      autogenerated patch creating stubs for pruned deps
  * d/p/no-version-string-in-feature-removed-help.patch: don't include current
    version string in feature removed help messages (cherry-pick which will be
    applied upstream in 1.90)
  * d/p/build/d-bootstrap-tests-restrict-defaults.patch: fix incorrect field
    name for overwriting the default bootstrap test configuration
  * Point cargo wrapper script to versioned cargo instead of default
    - d/rules: add .in files in subdirectories to FILES_TO_PRECONFIGURE
    - d/rules: make preconfigured files' permissions match their originals
    - d/cargo.in: point cargo wrapper script to versioned cargo

 -- Max Gilmour <max.gilmour@canonical.com>  Fri, 17 Oct 2025 15:04:06 -0700

rustc-1.88 (1.88.0+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.88.0 (LP: #2120340)
  * Standard maintenance:
    - debian/patches: Early-stage patch refresh
    - d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
      dependencies of vendored crates
    - d/control,d/s/lintian-overrides: Update versioned identifiers
    - d/copyright: Update Files-Excluded with newly-pruned vendored crates
    - d/control,d/control.in: Update XS-Vendored-Sources-Rust
  * Drop unneeded patches:
    - d/p/upstream/u-fix-get-toml-when-test.patch: Fixed upstream
    - d/p/ubuntu/ubuntu-disable-ppc64el-asm-tests.patch: Failing tests were
      removed upstream
    - d/p/upstream/u-profiler-builtins-full-path.patch: Fixed upstream
    - d/p/upstream/u-run-make-support-dylib.patch: Fixed upstream
  * d/copyright: Update Files-Excluded list for new mdbook version
  * Fix bootstrap tests:
    - d/p/series,d/p/build/d-bootstrap-tests-restrict-defaults.patch: Restrict
      default config values for bootstrap tests
    - d/p/series,d/p/build/d-disable-git-bootstrap-tests.patch: Disable tests
      which require an upstream Git repo

 -- Max Gilmour <max.gilmour@canonical.com>  Fri, 22 Aug 2025 15:42:22 -0700

rustc-1.87 (1.87.0+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.87.0 (LP: #2118790)
  * Standard maintenance:
    - d/patches: Refresh patches
    - d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
      dependencies of vendored crates
    - d/control,d/s/lintian-overrides: Update versioned identifiers
    - d/copyright: Update Files-Excluded with newly-pruned vendored crates
    - d/control,d/control.in: Update XS-Vendored-Sources-Rust
    - d/copyright: Update copyright stanzas
  * d/copyright: Remove src/tools/rls from Files-Excluded (dropped upstream)
  * Upgrade to LLVM 20:
    - d/p/ubuntu/ubuntu-enzyme-use-system-llvm.patch: Make LLVM_DIR llvm-20
    - d/rules,d/bin/rust-lld,d/control,d/*.in: Update LLVM references to
      version 20
  * Rename config.toml to bootstrap.toml:
    - d/copyright,d/rust-X.Y-src.install.in: Rename config.example.toml to
      bootstrap.example.toml
    - d/bootstrap.toml.in,d/prune-unused-deps,d/rules: Rename config.toml to
      bootstrap.toml
  * d/p/upstream/u-profiler-builtins-full-path.patch: Make profiler_builtins
    build script handle absolute path to profiler lib properly
  * Fix run-make test failures when rpath is disabled:
    - d/p/upstream/u-run-make-support-dylib.patch: Set rustc dylib path for
      run-make-support cargo wrapper
    - d/p/upstream/u-raw-rustc-command.patch: Add ability to get a raw
      rustc/rustdoc command for run-make tests

 -- Max Gilmour <max.gilmour@canonical.com>  Wed, 13 Aug 2025 13:36:27 -0700

rustc-1.86 (1.86.0+dfsg0ubuntu2-0ubuntu2) questing; urgency=medium

  * Remove vendored C libraries in favour of system libraries (LP: #2119556)
    - Repack orig tarball with unneeded vendored C libraries removed
    - d/control*,d/copyright,d/p/series: Use system libonig-dev instead of
      vendored oniguruma
    - d/config.toml.in,d/copyright,d/control,d/control.in: Use system
      libonig-sys instead of the vendored oniguruma
    - d/copyright,d/p/series: Use pure Rust impl of blake3 instead of the
      vendored C library

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 05 Aug 2025 14:30:47 -0700

rustc-1.86 (1.86.0+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.86.0 (LP: #2117513)
  * d/patches: Refresh patches
  * d/p/series: Remove unneeded libgit2 1.9 update patch
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
    dependencies of vendored crates
  * d/p/series: Require SSE2 for the i386 baseline
  * d/copyright: Regenerate vendor Files-Excluded list
  * d/copyright: Add x.ps1 to Powershell script to Files-Excluded
  * d/copyright: Add files with missing copyright info
  * d/control,d/s/lintian-overrides: Update versioned control files
  * d/control,d/control.in: Update XS-Vendored-Sources-Rust
  * d/config.toml.in: Explicitly disable building vendored lld
  * d/p/upstream/u-mdbook-robust-chapter-path.patch: Stop mdbook panic on
    missing source path
  * d/p/prune/d-0000-ignore-removed-submodules.patch: Prune paths used to
    generate vendor copyright information
  * d/not-installed,d/not-installed.in: Ignore unnecessary licenses from Rust
    upstream
  * d/copyright housekeeping:
    - Restore alphabetical order of vendor copyright stanzas
    - Remove unneeded and redundant copyright stanzas
    - Remove unused licenses
  * d/p/upstream/u-powerpc-broken-f16-tests-workaround.patch: Cherry-pick
    upstream workaround for broken ppc64el f16 tests

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 22 Jul 2025 10:32:18 -0700

rustc-1.85 (1.85.1+dfsg0ubuntu1-0ubuntu1) questing; urgency=medium

  * New upstream version 1.85.1 (LP: #2109761)
  * d/patches: Refresh patches
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: Prune Windows
    dependencies for Rust 1.85
  * d/copyright: Update list of excluded source files after pruning
  * d/control,d/s/lintian-overrides: Re-generate files for rustc-1.85
  * d/patches: Refresh patches after pruning Windows sources
  * d/control,d/control.in: Update XS-Vendored-Sources-Rust
  * d/copyright: Add copyright entries for new dependencies
  * d/p/behaviour/d-rust-lldb-paths.patch: Update hardcoded lldb version
  * d/config.toml.in,d/copyright: Disable LLVM Enzyme
  * d/copyright: Exclude windows-bindgen metadata binaries

 -- Max Gilmour <max.gilmour@canonical.com>  Tue, 17 Jun 2025 11:15:23 -0700

rustc-1.84 (1.84.1+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.1 (LP: #2097189)

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 31 Jan 2025 22:39:57 -0700

rustc-1.84 (1.84.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.84.0 (LP: #2093796)
  * d/patches: refresh early patches
  * d/patches: remove windows dependencies for Rust 1.84
  * d/copyright: remove Windows library source files
  * d/patches: refresh patches after deleting Windows sources
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.84
  * d/config.toml.in: use download-rustc option to avoid downloading
    upstream rustc binaries
  * d/copyright: update copyright information for vendor libraries

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 10 Jan 2025 15:28:21 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu2) plucky; urgency=medium

  * d/rust-X.Y-src.links.in: add one more symlink that creates the 
    lib/rustlib/src/rust path to help with the Linux kernel build system
    (LP: #2090791)
  * d/p/ubuntu/ubuntu-update-libgit2-to-1.9.patch: add a patch to
    update libgit2 to 1.9 (LP: #2093205)
  * d/control.in: update libgit2 to 1.9

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 07 Jan 2025 11:39:05 -0700

rustc-1.83 (1.83.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  * New upstream version 1.83.0 (LP: #2091414)
  * d/patches: refresh and rebase patches
  * d/copyright: update list of unused vendored dependencies
  * d/control,d/s/lintian-overrides: re-generate files for rustc-1.83
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: update the patch
    to remove more Windows dependencies
  * d/config.toml.in: disable GCC backend and enable LLVM Enzyme
  * d/copyright: update copyright information
  * d/bin/cargo: fix LTO argument passing
  * d/config.toml.in: re-enable wasm-component-ld to avoid test regressions
  * d/config.toml.in: using the new option to disable LLVM binary download
  * d/p/ubuntu/ubuntu-enzyme-use-system-llvm.patch: new patch force LLVM Enzyme
    to use system LLVM

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 10 Dec 2024 11:22:54 -0700

rustc-1.82 (1.82.0+dfsg0ubuntu1-0ubuntu1) plucky; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.82.0 (LP: #2088229)
  * d/rules: correctly pass the LLVM_PROFILER_RT_LIB variable to Rust build system
  * debian/patches/behaviour/d-rustc-add-soname.patch: patch the new test, the test is detecting this patch negatively
  * debian/patches/build/d-bootstrap-custom-debuginfo-path.patch: don't patch debuginfo test, it works correctly now
  * d/control.in: update to use libgit2 1.8.x
  * d/rules,*.in: upgrade to LLVM 19
  * d/p/ubuntu/ubuntu-fix-simd-test.patch: add a patch to fix SIMD FFI test
  * d/control.in: update vendored dependency list
  * d/{control,s/lintian-overrides}: re-generate files for rustc-1.82
  * d/patches: refresh patches
  * d/patches: remove obsoleted patches
    - upstream/u-add-missing-f16-intrinsics.patch
    - upstream/u-add-f16-f128-handling-in-a-couple-places.patch
    - upstream/Revert-loongarch-add-frecipe-and-relax-target-feature.patch
    - ubuntu/ubuntu-add-s390x-allowed-features.patch
    - upstream/u-disable-f16-f128-on-unsupported-platforms.patch
  * d/copyright: update the list of unused vendored dependencies
  * d/copyright: update copyright information
  * d/s/lintian-overrides: override new false-positives
  * d/p/prune/d-0020-remove-windows-dependencies.patch: refresh the patch

  [ Fabian Grünbichler ]
  * set LLVM profiler RT path via config
    instead of via the environment, adapting to corresponding upstream changes, and
    adapt the config change-id accordingly.
    Signed-off-by: Fabian Grünbichler <f.gruenbichler@proxmox.com>

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 14 Nov 2024 15:26:51 -0700

rustc-1.81 (1.81.0+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.81.0 (LP: #2080415)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/control: re-generate files for rustc-1.81
    - d/p/ubuntu/ubuntu-libgit2-downgrade.patch: downgrade libgit2
      requirements to 1.7
    - d/config.toml.in: update change ID to suppress warnings
    - d/copyright: update copyright information
    - d/s/lintian-overrides.in: add new overrides for test data
    - d/p/upstream/u-limit-f16-doctests-to-x86.patch,
      d/p/vendor/u-hurd-gix-index.patch: remove unneeded patches

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 09 Sep 2024 10:19:09 -0600

rustc-1.80 (1.80.1+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.80.1 (LP: #2076206)
    - d/patches: refresh patches
    - d/copyright: update the list of unused vendored dependencies
    - d/copyright: delete src/tools/rustc-perf we don't need this upstream
      benchmarking facility (not used anywhere)
    - d/control: re-generate files for rustc-1.80
    - d/p/series: remove opener-cherry-pick-fix-to-avoid-vendored-dbus.patch
  * d/p/upstream/u-add-missing-f16-intrinsics.patch,
    d/p/upstream/u-add-f16-f128-handling-in-a-couple-places.patch,
    d/p/upstream/u-limit-f16-doctests-to-x86.patch,
    d/p/upstream/u-disable-f16-f128-on-unsupported-platforms.patch:
    backported patches from upstream to fix compiler crash from LLVM
    mishandling f16 lowering on some platforms
  * d/p/ubuntu/ubuntu-fix-f16-fallback-intrinsics.patch: add a patch to fix
    LLVM misoptimizations

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 08 Aug 2024 08:56:51 -0600

rustc-1.79 (1.79.0+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  [ Zixing Liu ]
  * New upstream release 1.79.0 (LP: #2076205)
  * d/p/ubuntu/ubuntu-add-s390x-allowed-features.patch: backport the patch
  * d/p/ubuntu/ubuntu-disable-ppc64el-asm-tests.patch: refresh the patch
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: refresh the patch
  * d/copyright: update the list of unused Rust dependencies
  * d/control.in: update vendored dependency list
  * d/p/build/d-bootstrap-disable-git.patch: fix the patch so that version
    information is still included correctly when building under
    Debian or Ubuntu
  * d/p/prune/d-0020-remove-windows-dependencies.patch: refresh the patch
  * d/p/prune/d-0021-vendor-remove-windows-dependencies.patch: refresh
    the patch
  * d/source/lintian-overrides.in: add another ignore pattern for rustdoc tests
  * d/copyright: remove unused globs

  [ Fabian Grünbichler ]
  * d/copyright: adapt to vendor/ version suffix
  * early-stage update of patches for 1.79.0
  * d/copyright: also exclude vendored libdbus
  * update Files-Excluded for 1.79.0
  * upstream unsuspicious: adapt to new vendor suffix
  * update upstream unsuspicious for 1.79
  * d/update-version.sh: adapt to wasi-libc/sdk changes
  * d/rules: fix for suffixed vendored crates
  * config: adapt to new change tracking mechanism
  * cargo wrapper: switch to config.toml
  * cargo wrapper: ensure debug symbols are not stripped
  * add missing rustfmt dependency (Closes: #1074290)
  * build: remove more cache files (Closes: #1074373)

  [ Samuel Thibault ]
  * Avoid hurd-stuck test

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 29 Jul 2024 03:04:07 -0600

rustc-1.78 (1.78.0+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.78.0 (LP: #2075108)
    - d/control{,.in}: rename to rust-1.78 and re-generate
    - d/p/ubuntu/ubuntu-use-system-profiler-rt.patch: remove the patch as 
      we will use the upstream mechanism to specify the LLVM clang-rt
      instead of patching in a hardcoded one
    - d/p/ubuntu/ubuntu-add-s390x-allowed-features.patch: refresh the patch
    - d/copyright: remove unused vendored dependencies
    - d/copyright: update copyright data for vendored dependencies
    - d/p/ubuntu/ubuntu-vendor-no-workspace.patch: refresh patch
    - d/p/ubuntu/ubuntu-use-system-compiler-during-tests.patch: refresh the patch
    - d/s/lintian-overrides: re-generate for Rust 1.78
    - d/*: upgrade to LLVM 18.1
    - d/rules: adapt to changed docs install path
  * d/rules: add forced version check logic so that it will be difficult to
    screw up the version numbers when upgrading the package
  * d/rules: workaround path lookup issues with LLVM profiler runtime
  * d/rules: use upstream mechanism to specify LLVM clang-rt files
  * d/patches: synchronize patches from Debian
  * d/watch: get release information from GitHub but still download tarballs
    from Rust Forge
  * d/libstd-rust-1.76.lintian-overrides: remove auto-generated files
  * d/{rule,config.toml.in,README.source}: rename RUST_DESTDIR to RUST_BOOTSTRAP_DIR

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 25 Jul 2024 08:46:38 -0600

rustc-1.77 (1.77.2+dfsg1ubuntu1-0ubuntu1) oracular; urgency=medium

  [ Zixing Liu ]

  * New upstream release 1.77.2 (LP: #2070410)
    - d/patches: Refresh patches
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/libstd-rust-*: bump version to 1.77
    - d/patches: remove obsoleted patches   
    - d/s/lintian-overrides*: update lintian overrides
    - d/control: update vendored crate list
  * d/p/ubuntu-add-s390x-allowed-features.patch: fix s390x build with backchain
  * d/tests: fix self-build tests when rust-defaults package does not point to
    the current versioned package
  * d/control: Build-Depends solely on versioned packages

  [ Fabian Grünbichler ]

  * config: don't attempt to optimize compiler-rt
  * update upstream unsuspicious files

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 08 Jul 2024 23:49:29 -0600

rustc-1.76 (1.76.0+dfsg0ubuntu1-0ubuntu1) oracular; urgency=medium

  * New upstream release 1.76.0 (LP: #2052985)
    - d/patches: Refresh patches
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/libstd-rust-*: bump version to 1.76
    - d/patches: remove obsoleted patches
    - d/s/lintian-overrides: update lintian overrides
    - d/control: update vendored crate list
    - d/p/ubuntu-upgrade-cc-to-1.0.85.patch: backport cc 1.0.85
    - d/p/d-0022-rust-by-example-strip-embedded-libs.patch: strip embedded
      CSS and JS libraries
    - d/p/d-bootstrap-cargo-doc-paths.patch: remove patch and build Cargo book
  * Remove libllvm17 dependency due to time_t transition renaming
  * d/p/ubuntu-skip-gdb-tests.patch: temporarily disables gdb tests to
    workaround test failures.
  * Transition Rust toolchain package to a versioned scheme (LP: #2054748)
    - d/*: move all the scripts to the <name>-X.Y.in format so that they
      are generated per version
    - d/rules: install files into their per-version directories
    - d/cargo-*: use a wrapper script to help cargo select the rustc binary
    - d/rules, d/cargo-X.Y.install.in: try to fix the installation logic
    - d/control.in: remove libllvm17 from B-D as it breaks the build after
      armhf time_t 64 bit transition
  * d/get-stage0.py: fix stage0 download
  * d/rules: add checks for checking source package
    - Re-generate auto-generated files if the input files are changed
    - Check if the source package name in the changelog is correct
    - Check and delete auto-generated files on dh_clean

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 07 Jun 2024 10:25:10 +0200

rustc (1.75.0+dfsg0ubuntu1-0ubuntu1) noble; urgency=medium

  * New upstream release 1.75.0 (LP: #2047858)
    - d/patches: Refresh patches
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/libstd-rust-*: bump version to 1.75
    - d/patches: remove obsoleted patches
    - d/s/lintian-overrides: update lintian overrides
    - d/control: update vendored crate list

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 02 Jan 2024 12:09:03 -0700

rustc (1.74.1+dfsg0ubuntu1-0ubuntu1) noble; urgency=medium

  * New upstream release 1.74.1 (LP: #2044036)
    - d/patches: Refresh patches
    - d/p/d-0021-vendor-remove-windows-dependencies.patch: remove new
      Windows dependencies
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data and add LGPL 2.1 license texts
    - d/p/d-fix-rustix-outline.patch: re-add rustix fix for 1.74
    - d/p/ubuntu-upgrade-libgit2-to-1.7.patch: remove obsoleted patch
    - d/libstd-rust-*: bump version to 1.74
    - d/rules: apply a workaround to avoid dh_dwz complaining about
      "Too many DIEs, not optimizing"

 -- Zixing Liu <zixing.liu@canonical.com>  Sun, 19 Nov 2023 18:04:52 -0700

rustc (1.73.0+dfsg0ubuntu1-0ubuntu1) noble; urgency=medium

  * New upstream release 1.73.0 (LP: #2040340)
    - d/patches: Refresh patches
    - d/p/d-0021-vendor-remove-windows-dependencies.patch: remove new
      Windows dependencies
    - d/p/d-0020-remove-windows-dependencies.patch: remove references to macOS
      and Windows libraries in Cargo credential query logic
    - d/p/ubuntu-fix-short-ice-test.patch: remove obsoleted patch
    - d/copyright: update the list of unused crates
    - d/copyright: update copyright data
    - d/control: bump Rust toolchain B-D requirements to 1.72
    - d/control: update the list of vendored dependencies
    - d/*: bump LLVM requirements to LLVM 17
    - d/s/lintian-overrides: suppress Lintian warnings about prebuilt Windows
      binaries in libloading-0.7.4. They are required by libloading for the tests
    - d/cargo.install: remove cargo-credential-1password plugin since now this
      functionality is builtin and no longer ships as a plugin

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 24 Oct 2023 22:29:46 -0600

rustc (1.72.1+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * Cherry-pick new changes from Debian until Rust 1.70 (LP: #2041325)
    Applied:
    - Disable download tests
    - Fix internal cargo-doc links
    - Fix FTCBS by setting TARGET flags
    - Update privacy breach removal
    - Update Files-Excluded and unsuspicious files
    - Remove obsoleted patches
  * d/p/u-fix-get-toml-when-test.patch: removed. This conflicts both on
    functionalities and compatibilities with other Ubuntu patches.
  * New upstream release 1.72.1 (LP: #2040339)
    - d/patches: Refresh patches
    - d/p/d-0000-ignore-removed-submodules.patch: Remove Windows-specific
      submodule
    - d/p/d-0021-vendor-remove-windows-dependencies.patch: Remove
      new Windows dependencies
    - d/p/ubuntu-fix-short-ice-test.patch: Add a patch to fix short-ice test
    - d/copyright:
      - Update copyright information for upstream patched crates
      - Update excluded dependencies list
      - Remove windows-bindgen module
    - d/control: Update vendored dependency list
    - d/control: update libgit2 B-D requirements to 1.7
    - d/s/lintian-overrides: Remove unused overrides
  * Remove fonts-nanum from the dependencies (LP: #2031685)
    - d/p/ubuntu-disable-nanum-fonts.patch: Add a patch to disable and remove
      references to the Nanum fonts. We have Noto Sans CJK in the system.
    - d/control: Remove fonts-nanum from the dependencies

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 11 Oct 2023 14:46:37 -0600

rustc (1.71.1+dfsg0ubuntu2-0ubuntu1) mantic; urgency=medium

  * Remove Windows libraries and dependencies
    (windows and windows-sys) (LP: #2036123)
    - d/p/d-0020-remove-windows-dependencies.patch,
      d/p/d-0021-vendor-remove-windows-dependencies.patch: add patches to
      remove references to Windows-specific libraries
    - d/copyright: Exclude all the removed libraries
    - d/control: Refresh dependency list

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 06 Sep 2023 16:41:39 -0600

rustc (1.71.1+dfsg0ubuntu1-0ubuntu2) mantic; urgency=medium

  * d/control: Fix an issue where the build dependency incorrectly specified
    the upper bound of rustc to <= 1.71.0 instead of 1.71.1 (LP: #2031545)

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 14 Aug 2023 12:03:34 +0800

rustc (1.71.1+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.71.1 (LP: #2027942)
    - d/patches: Refresh patches
    - Upstream fixed CVE-2023-38497 and updated tar library
    - d/copyright: Update copyright information for upstream patched crates
  * d/p/u-reproducible-dl-stage0.patch,
    d/p/ubuntu-fix-sysroot-detection.patch,
    d/p/d-rustc-fix-mips64el-bootstrap.patch,
    d/p/d-bootstrap-read-beta-version-from-file.patch: Removed patches that
    were merged by the upstream
  * d/rules: Remove the src/tools/cargo/Cargo.lock file prior to the build, so
    that we can re-use the dependencies as many as possible
  * d/prune-unused-deps: Do the re-locking process for Cargo, since Cargo now
    also has its own workspace, it does not share the lock file with rustc
    starting in Rust 1.71
  * d/not-installed: Ignore backup files
  * d/cargo.bash-completion, d/not-installed: Fix the installation path for
    bash-completion files, the path has changed since Rust 1.71

 -- Zixing Liu <zixing.liu@canonical.com>  Sun, 06 Aug 2023 21:17:45 -0600

rustc (1.70.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.70.0 (LP: #2027639)
    - d/patches: Refresh patches
    - Upgraded LLVM to 16
  * d/patches/d-0000-ignore-removed-submodules.patch: Remove newly added Miri
    parts
  * d/patches/ubuntu-downgrade-libgit2-to-1.5.patch: Downgrade libgit2
    requirements to 1.5, since we don't have 1.6 in stable yet
  * d/patches/d-0002-mdbook-strip-embedded-libs.patch: Remove newly added
    mdbook bundled resources
  * d/patches/ubuntu-use-system-compiler-during-tests.patch: Avoid the need of
    downloaded rustc binaries during the bootstrapping tests
  * d/rust-src.install: Fix the config.example.toml installation, because the
    file name changed in Rust 1.70
  * d/patches/ubuntu-disable-fpmath-tests-for-i386.patch: Disable a test for
    testing machine epsilon, which x87 math is too inaccurate to pass the test
  * d/source/lintian-overrides: update overriden paths for doc-tests

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 17:07:11 +0800

rustc (1.69.0+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.69.0 (LP: #2025691)
    - d/patches: Refresh patches
  * d/tests: Add a new smoke test for Cargo (originally from Nick Rosbrook)
    - d/tests/control: Removed architecture restriction from the original test

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 15:13:25 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu3) mantic; urgency=medium

  * d/tests: Fix Cargo self-build test
  * d/tests: Add a new Cargo smoke test from Nick Rosbrook
  * d/control: tightened Cargo package version requirement of the rust-all
    package

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 13 Jul 2023 11:21:39 +0800

rustc (1.68.2+dfsg0ubuntu1-0ubuntu1) mantic; urgency=medium

  * New upstream release 1.68.2 (LP: #2025179)
    - Updated bundled GitHub RSA key and revoked the compromised key
  * d/control: Lock the Cargo package version requirement to the rustc version
  * d/tests: Add the previous Cargo smoke tests back

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 20 Jun 2023 16:17:01 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog rust-1.91-lldb`.
